# require swig to build with python support
%define	name	glimmer
%define	version	1.0.8
%define	release	2mdk

Summary:	Extensible Code Editor
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Editors
URL:		http://glimmer.sourceforge.net/
Source0:	http://download.sourceforge.net/glimmer/%{name}-%{version}.tar.bz2
Source1:	glimmer-normal.png
Source2:	glimmer-large.png
Source3:	glimmer-mini.png
BuildRoot:	%{_tmppath}/%{name}-%{version}
Obsoletes:	CodeCommander, latte
BuildRequires:	db1-devel GConf-devel gdk-pixbuf-devel gnome-libs-devel gnome-print-devel gnome-vfs-devel libxml-devel pygtk-devel python-devel
Requires: pygtk

%description
Glimmer is the code editor formerly know as CodeCommander.

It is a full featured code editor with many advanced features,
including full scripting integration with either Python or Guile. 

In the old days, it was named latte (and previously CodeCommander).

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
%configure
%make

%install
%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/glimmer"\
title="Glimmer"\
longtitle="Code editor"\
needs="x11"\
icon="glimmer.png" \
section="Applications/Development/Development environments"
EOF
)
mkdir $RPM_BUILD_ROOT{%_iconsdir,%_miconsdir,%_liconsdir}
install -m 644 %SOURCE1  $RPM_BUILD_ROOT%_iconsdir/%name.png
install -m 644 %SOURCE2  $RPM_BUILD_ROOT%_liconsdir/%name.png
install -m 644 %SOURCE3  $RPM_BUILD_ROOT%_miconsdir/%name.png


%find_lang %{name}
 
%post
%update_menus
  
%postun
%clean_menus  

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/glimmer
%{_datadir}/gnome/help/glimmer
%{_datadir}/pixmaps/*.png
%{_datadir}/gnome/apps/Development/glimmer.desktop               
%{_menudir}/*
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png


%changelog
* Mon Aug 06 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-2mdk
- made my own icons since baddadou won't

* Mon Jul 30 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-1mdk
- new release

* Tue Jul 10 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-1mdk
- new release

* Sun Jul 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.5-1mdk
- 1.0.5 aka "Whatever tomorrow brings...".

* Thu Jul 05 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-1mdk
- new release

* Sun Jul 01 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.3-2mdk
- BuildRequires:	db1-devel
- BuildRequires:	GConf-devel
- BuildRequires:	gdk-pixbuf-devel
- BuildRequires:	gnome-print-devel	
- BuildRequires:	gnome-vfs-devel	
- BuildRequires:	libxml-devel
- BuildRequires:	pygtk-devel
- BuildRequires:	python-devel	
- Remove BuildRequires:	audiofile-devel
- Remove BuildRequires:	esound-devel
- Remove BuildRequires:	imlib-devel
- Remove BuildRequires:	XFree86-devel
- Remove BuildRequires:	zlib-devel

* Sun Jul 01 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.3-1mdk
- Push out the new and shiny 1.0.3.
- There is no longer any need for the link-with-lutil-patch.

* Fri Jun 29 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-2mdk
- fix requires

* Mon Apr 30 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-1mdk
- new version
- adapt patches

* Tue Feb 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.1-1mdk
- put a new and shiny glimmer out for consumption.
- add a url in the source tag.

* Mon Feb 5 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.0-2mdk
- patch to configure.in to add -lutil to PY_LIBS 

* Tue Nov 14 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-1mdk
- new version
- %%find_lang
- various spec cleaning

* Mon Nov 13 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0-1mdk
- new in contribs

